package ar.com.macro.adapter.services;

import org.springframework.stereotype.Service;

import ar.com.macro.core.application.outcoming.EsbClient;
import ar.com.macro.core.application.outcoming.response.ElementsClientesConsultaCuentasResponse;
import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class ClientesConsultaCuentasService {

	private final EsbClient esbClient;

	public ElementsClientesConsultaCuentasResponse getClientesConsultaDeCuentas(Long idCobis) {
		return esbClient.getClientesConsultaDeCuentas(idCobis);
	}

}
