package ar.com.macro.core.application.annotations;

import ar.com.macro.core.application.annotations.impl.MismoTamanoCuotaValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Documented
@Constraint(validatedBy = MismoTamanoCuotaValidator.class)
@Target({ElementType.TYPE, ElementType.ANNOTATION_TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface MismoTamanoCuota {
    String message() default "Cuotas y cuota deben ser del mismo tamaño";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};


}

