package ar.com.macro.core.application.delegate;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.springframework.stereotype.Component;

import ar.com.macro.adapter.services.TycsService;
import ar.com.macro.bpm.scope.AltaAcuerdoCtaCteScopeHelper;

@Component("ACCTyCDisponibles")
public class ACCTyCDisponiblesDelegate extends AbstractTyCDisponiblesDelegate {

	protected ACCTyCDisponiblesDelegate(TycsService tycsService) {
		super(tycsService);
	}

	@Override
	public void execute(DelegateExecution delegateExecution) {
		super.executeTycDisponiblesDelegate(new AltaAcuerdoCtaCteScopeHelper(delegateExecution));
	}

}
