package ar.com.macro.core.application.incoming.request;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CuotaRequest implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer numero;

	private LocalDateTime vencimiento;

	private Double capitalAdeudado;

	private Double capital;

	private Double intereses;

	private Double seguro;

	private Double rubros;

	private Double iva;

	private Double totalPagar;

}
