package ar.com.macro.core.application.incoming.response;

import java.time.LocalDateTime;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DesbordePrestamoDetalleResponse {

	private String idSolicitud;
	private String idCanal;
	private Integer idCobis;
	private Integer cuit;
	private String tipoDocumento;
	private Long numeroDocumento;
	private Integer idProducto;
	private String descripcionProducto;
	private String pasoAlcanzado;
	private LocalDateTime fecha;
	private Double valorDisponible;
	private Double montoSolicitado;
	private String periodoPago;
	private Integer plazo;
	private Integer cuotas;
	private Double valorCuotas;
	private String tasaFija;
	private String costoFinancieroTotal;
	private Double gastos;
	private String sistemaAmortizacion;
	private Long cuenta;
	private String tipoCuenta;
	private Long cuentaDesenbolso;
	private String moneda;
	private String tipoPrestamo;
	private Integer lineaComercial;
	private Integer sublineaComercial;
	private Integer mercado;
	private Integer submercado;
	private Double valorCalificado;

	private List<CuotaResponse> cuota;

}
