package ar.com.macro.core.application.outcoming.request;

import com.fasterxml.jackson.annotation.JsonAlias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DatosBancoRequest {

	@JsonAlias("CBU")
	private String cbu;

	private String cuentaTipo;

	private Long cuentaNumero;

	private Integer sucursalNumero;

	private Integer codigoBanco;

}
