package ar.com.macro.core.application.outcoming.request;

import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DatosFirmanteRequest {

	private IdentificationRequest identification;
	private String nombre;
	private String apelido;
	private String genero;
	private String ocupacion;
	private PoliticoExpuestoRequest politicoExpuesto;
	private String direccionReal;
	private Long cP;
	private String email;
	private TelefonoRequest telefono;
	private String lugarNacimiento;
	private Date fechaNacimiento;

}
