package ar.com.macro.core.application.outcoming.response;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.RequiredArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@RequiredArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class AperturaLineaResponse {

	@JsonProperty(value = "o_c_linea")
	private String ocLinea;

	@JsonProperty(value = "o_c_moneda_linea")
	private String ocMonedaLiena;

	@JsonProperty(value = "o_d_linea")
	private String odLinea;

	@JsonProperty(value = "o_d_moneda")
	private String odMoneda;

	@JsonProperty(value = "o_i_calificado")
	private String oiCalificado;

	@JsonProperty(value = "o_i_deuda_mg_propio")
	private String oiDeudaMgPropio;

	@JsonProperty(value = "o_i_deuda_excepcion")
	private String oiDeudaExcepcion;

	@JsonProperty(value = "o_i_total_propio_excepcion")
	private String oiTotalPropioExcepcion;

	@JsonProperty(value = "o_i_deuda_mg_terceros")
	private String oiDeudaMgTerceros;

	@JsonProperty(value = "o_i_total_propio_excep_tercero")
	private String oiTotalPropioExcepTercero;

	@JsonProperty(value = "o_i_disponible")
	private BigDecimal oiDisponible;

	@JsonProperty(value = "o_i_calif_puntual_disponible")
	private String oiCalifPuntualDisponible;

	@JsonProperty(value = "o_i_exceso_total")
	private String oiExcesoTotl;

	@JsonProperty(value = "o_i_riesgo_max_total")
	private String oiRiesgoMaxTotal;

}
