package ar.com.macro.core.application.outcoming.response;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.RequiredArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@RequiredArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class ClientesConsultaCuentasResponse {

	@JsonAlias("o_c_oficina")
	private Integer ocOficina;
	
	@JsonAlias("o_c_tipo_cuenta")
	private String ocTipoCuenta;
	
	@JsonAlias("o_c_producto")
	private Integer ocProducto;
	
	@JsonAlias("o_n_cuenta")
	private Long onCuenta;
	
	@JsonAlias("o_c_moneda")
	private String ocMoneda;
	
}
