package ar.com.macro.core.application.outcoming.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import camundajar.impl.scala.math.BigDecimal;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.RequiredArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@RequiredArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class PasivasConsultaDetalleCuentaResponse {
	
	@JsonProperty("NumeroCuenta")
	private Long numeroCuenta;
	
	@JsonProperty("NumeroCuentaBanco")
	private String numeroCuentaBanco;
	
	@JsonProperty("NombreCuenta")
	private String nombreCuenta;
	
	@JsonProperty("NumeroCliente")
	private Long numeroCliente;
	
	@JsonProperty("NumeroCbu")
	private String numeroCbu;
	
	@JsonProperty("NumeroFilial")
	private Long numeroFilial;
	
	@JsonProperty("NumeroCuit")
	private String numeroCuit;
	
	@JsonProperty("CodigoOficial")
	private Long codigoOficial;
	
	@JsonProperty("DescripcionOficial")
	private String descripcionOficial;
	
	@JsonProperty("CodigoUsoFirma")
	private String codigoUsoFirma;
	
	@JsonProperty("DescripcionUsoFirma")
	private String descripcionUsoFirma;
	
	@JsonProperty("CodigoMoneda")
	private Integer codigoMoneda;
	
	@JsonProperty("DescripcionMoneda")
	private String descripcionMoneda;
	
	@JsonProperty("CodigoCategoria")
	private String codigoCategoria;
	
	@JsonProperty("DescripcionCategoria")
	private String descripcionCategoria;
	
	@JsonProperty("CodigoOficina")
	private Integer codigoOficina;
	
	@JsonProperty("DescripcionOficina")
	private String descripcionOficina;
	
	@JsonProperty("CodigoProducto")
	private Integer codigoProducto;
	
	@JsonProperty("DescripcionProducto")
	private String descripcionProducto;
	
	@JsonProperty("CodigoProductoBanco")
	private Integer codigoProductoBanco;
	
	@JsonProperty("DescripcionProductoBanco")
	private String descripcionProductoBanco;
	
	@JsonProperty("CodigoEstado")
	private String codigoEstado;
	
	@JsonProperty("DescripcionEstado")
	private String descripcionEstado;
	
	@JsonProperty("CodigoTipoCuenta")
	private String codigoTipoCuenta;
	
	@JsonProperty("DescripcionTipocuenta")
	private String descripcionTipocuenta;
	
	@JsonProperty("Disponible")
	private BigDecimal disponible;
	
	@JsonProperty("SaldoParaGirar")
	private BigDecimal saldoParaGirar;
	
	@JsonProperty("BloqueoDeValores")
	private BigDecimal bloqueoDeValores;
	
	@JsonProperty("SaldoAyer")
	private BigDecimal saldoAyer;
	
	@JsonProperty("CodigoEntrega")
	private String codigoEntrega;
	
	@JsonProperty("DescripcionEntrega")
	private String descripcionEntrega;
	
	@JsonProperty("CantidadSuspensos")
	private Integer cantidadSuspensos;
	
	@JsonProperty("CantidadBloqueosMovimiento")
	private Integer cantidadBloqueosMovimiento;
	
	@JsonProperty("MontoBloqueoDeValores")
	private Integer montoBloqueoDeValores;
	
	@JsonProperty("ImporteValorSuspenso")
	private BigDecimal importeValorSuspenso;
	
	@JsonProperty("ImporteSuspenso")
	private BigDecimal importeSuspenso;
	
	@JsonProperty("FechaApertura")
	private String fechaApertura;
	
	@JsonProperty("ImporteSaldoContable")
	private BigDecimal importeSaldoContable;
	
	@JsonProperty("FechaUltimoMovimiento")
	private String fechaUltimoMovimiento;
	
	@JsonProperty("CodigoTipoIva")
	private String codigoTipoIva;
	
	@JsonProperty("DescripcionTipoIva")
	private String descripcionTipoIva;
	
	@JsonProperty("CodigoTipoGanancia")
	private String codigoTipoGanancia;
	
	@JsonProperty("DescripcionTipoGanancia")
	private String descripcionTipoGanancia;
	
	@JsonProperty("ImporteInteres")
	private BigDecimal importeInteres;
	
	@JsonProperty("CodigoTipoDir")
	private String codigoTipoDir;
	
	@JsonProperty("CodigoCiclo")
	private Integer codigoCiclo;
	
	@JsonProperty("DescripcionCiclo")
	private String descripcionCiclo;
	
	@JsonProperty("TarjetaDebito")
	private String tarjetaDebito;
}
