package ar.com.macro.core.application.templates;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.camunda.bpm.engine.delegate.JavaDelegate;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Component
public class EnvioCorreoElectronicoDelegate implements JavaDelegate {

	public static final String DE = "de";
	public static final String PARA = "para";
	public static final String ASUNTO = "asunto";
	public static final String CUERPO = "cuerpo";
	
	public void execute(DelegateExecution delegateExecution) {
		log.info("DE: {}", delegateExecution.getVariable(DE));
		log.info("PARA: {}", delegateExecution.getVariable(PARA));
		log.info("ASUNTO: {}", delegateExecution.getVariable(ASUNTO));
		log.info("CUERPO: {}", delegateExecution.getVariable(CUERPO));
		
		delegateExecution.setVariable("resultadoDeEnvio", "teste");
	}

}
