package ar.com.macro.core.application.delegate;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.Mockito;
import org.mockito.junit.jupiter.MockitoExtension;

import static org.junit.jupiter.api.Assertions.assertDoesNotThrow;

@ExtendWith(MockitoExtension.class)
class AComAltaSMODelegateTest {

    @InjectMocks
    private AComAltaSMODelegate aComAltaSMO;

    @Test
    void shouldExecuteWithSuccess() {
        DelegateExecution delegate = Mockito.mock(DelegateExecution.class);
        assertDoesNotThrow(() -> this.aComAltaSMO.execute(delegate));
    }
}
