# macro-ofertador

Archivo que describe los pasos para el manejo del proyecto Ofertador (desacople Macro)

Tecnologías Utilizadas

- [JDK 17](https://www.oracle.com/java/technologies/javase/jdk17-archive-downloads.html)
- [Maven 3.8.6](https://maven.apache.org)
- Springboot 2.6.4


## Run docker compose up inside docker folder to start camunda postgres database

## Compilación
```shell
mvn -DskipTests=true clean compile
```

## Construcción
```shell
mvn -DskipTests=true clean package
```

## Ejecución ambiente desarrollo
```shell
mvn spring-boot:run -D spring-boot.run.profiles=dev
```

## Unit Test
Los test unitarios se corren cuando se genera la compilación o la construcción, sin embargo se han deshabilitado hasta contar con credenciales
de acceso a BD

```shell
mvn clean test
```

se pueden volver a correr los tests
## Swagger

http://localhost:8080/swagger-ui.html

## Architecture

![](doc/Macro-layers.drawio.png)

## Running the application locally

```shell
mvn spring-boot:run
```