package ar.com.macro.core.application.delegate;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.springframework.stereotype.Component;

import ar.com.macro.adapter.services.ClientesConsultaGeneralService;
import ar.com.macro.bpm.scope.AltaAcuerdoCtaCteScopeHelper;
import ar.com.macro.bpm.scope.OfertadorScopeHelper;

@Component("ACCClientesConsultaGeneral")
public class ACCClientesConsultaGeneralDelegate extends AbstractClientesConsultaGeneralDelegate {

	protected ACCClientesConsultaGeneralDelegate(ClientesConsultaGeneralService clientesConsultaGeneralService) {
		super(clientesConsultaGeneralService);
	}

	@Override
	public void execute(DelegateExecution delegateExecution) {
		super.executeClientesConsultaGeneralDelegate(new OfertadorScopeHelper(delegateExecution));
	}

}
