package ar.com.macro.core.application.delegate;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.springframework.stereotype.Component;

import ar.com.macro.adapter.services.ClientesConsultaGeneralService;
import ar.com.macro.bpm.scope.AltaComercioScopeHelper;
import ar.com.macro.core.application.outcoming.response.ClientesConsultaGeneralResponse;

@Component("AComClientesConsultaGeneral")
public class AComClientesConsultaGeneralDelegate extends AbstractClientesConsultaGeneralDelegate {
	
	protected AComClientesConsultaGeneralDelegate(ClientesConsultaGeneralService clientesConsultaGeneralService) {
		super(clientesConsultaGeneralService);
	}

	@Override
	public void execute(DelegateExecution delegateExecution) {

		final AltaComercioScopeHelper scopeHelper = new AltaComercioScopeHelper(delegateExecution);
		
	/*	ClientesConsultaGeneralResponse clientesConsultaGeneralResponse = super.executeClientesConsultaGeneralDelegate(scopeHelper);
		
		scopeHelper.setFirmEmail(clientesConsultaGeneralResponse.getOdDireccionElectronica());
		scopeHelper.setFirmPiso(clientesConsultaGeneralResponse.getOnDireccionPiso());
		scopeHelper.setFirmDepto(clientesConsultaGeneralResponse.getOnDireccionDepto());
		scopeHelper.setFirmProvCod(clientesConsultaGeneralResponse.getOcDireccionProvincia());
		scopeHelper.setFirmCodigoArea(clientesConsultaGeneralResponse.getOnTelefonoDdn());
		scopeHelper.setFirmTelefone(clientesConsultaGeneralResponse.getOnTelefono());
		scopeHelper.setCondicionIva(clientesConsultaGeneralResponse.getOcIva());
		scopeHelper.setSujetoObligado(clientesConsultaGeneralResponse.getOmSujetoObligado());*/
	}

}
