package ar.com.macro.core.application.delegate;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.springframework.stereotype.Component;

import ar.com.macro.adapter.services.TycsService;
import ar.com.macro.bpm.scope.AltaComercioScopeHelper;

@Component("AComTyCDisponibles")
public class AComTyCDisponiblesDelegate extends AbstractTyCDisponiblesDelegate {

	protected AComTyCDisponiblesDelegate(TycsService tycsService) {
		super(tycsService);
	}

	@Override
	public void execute(DelegateExecution delegateExecution) {
		super.executeTycDisponiblesDelegate(new AltaComercioScopeHelper(delegateExecution));
	}

}
