package ar.com.macro.core.application.incoming.request;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CancelacionRequest {

	@NotBlank
	private String idCanal;

	@NotBlank
	private String idSolicitud;

	@NotBlank
	private String motivoCancelacion;

	@NotNull
	private Long cuitFirmante;

}
