package ar.com.macro.core.application.incoming.response;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AltaComercioResponse {

	private String resultado;

	private int codResultado;

	private String descripcion;

	private String idSolicitud;

	@JsonInclude(JsonInclude.Include.NON_NULL)
	private String estadoDelProceso;
}