package ar.com.macro.core.application.incoming.response;

import java.math.BigDecimal;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.RequiredArgsConstructor;
import lombok.ToString;

@Data
@ToString
@Builder
@AllArgsConstructor
@RequiredArgsConstructor
//TODO[EDPC-99-juliano]
public class CondicionesResponse {

	private BigDecimal topeCanal;

	private BigDecimal topePFseguro;

	private BigDecimal topePJGarantia;

	private List<Integer> plazosRenovacion;

	private BigDecimal tasaFija30Dias;

	private BigDecimal tasasVariables;

	private BigDecimal tasaPerfilAcopiadorSoja;

	private BigDecimal tasaPerfilMiPyme;

	private String ventanaHoraria;

}
