package ar.com.macro.core.application.incoming.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CuotaResponse implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer numeroCuota;
	private LocalDateTime vencimiento;
	private Double capitalAdeudo;
	private Double capital;
	private Double intereses;
	private Double seguro;
	private Double rubros;
	private Double iva;
	private Double montoTotal;

}
