package ar.com.macro.core.application.incoming.response;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OfertadorResponse {

	private String resultado;

	private int codResultado;

	private String descripcion;

	private String idSolicitud;
	
	private String nombre;
	
	private String banca;
	
	private String segmento;
	
	private String subsegmento;
	
	private List<String> productosOfrecidos;

}