package ar.com.macro.core.application.incoming.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SmoAltaComercioResponse {

	//TODO[EDPC-108-felipe] não temos ainda serviço no ESB
	private EncabezadoResponse encabezado;

	public SmoAltaComercioResponse mockResponse(String idSolicitud){

		return SmoAltaComercioResponse.builder().encabezado(EncabezadoResponse.builder()
			.codigoBanco("456")
			.estado("created")
			.descripcionSucursal("descripcion")
			.descripcionBanco("descripcion banco")
			.idSolicitud(idSolicitud)
			.numeroComercio("123")
			.modoEntrada("teste")
			.tipoSolicitud("tipo")
			.build()).build();
	}
}
