package ar.com.macro.core.application.outcoming.request;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ComercioRequest {

	private DatosPersonalesRequest datosPersonales;
	private DatosBancoRequest datosBanco;
	private DatosComercioRequest datosComercio;
	private IngresosBrutosRequest ingresosBrutos;
	private String condicionIva;
	private String sujetoObligado;
	private String modoOperacion;
	private String categoria;
	private InformacionContactoRequest informacionContacto;
	private Integer tipoOrden;
	private TerminalesRequest terminales;
	private ModalidadTarjetaFisicaRequest modalidadTarjetaFisica;
	private ReprogramacionTerminalRequest reprogramacionTerminal;
	private MetodoPagoRequest metodoPago;
	private String gateway;
	private String requestGateway;
	private String requestPaymentButtom;
	private String tipoEstablecimiento;
	private Long cuitMayorista;

}
