package ar.com.macro.core.application.outcoming.response;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.RequiredArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@RequiredArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class TycResponse {

	private Integer id;

	@DateTimeFormat(pattern = "dd/MM/yyyy HH:mm:ss")
	private Date dataAdd;

	@DateTimeFormat(pattern = "dd/MM/yyyy HH:mm:ss")
	private Date dataDesativacao;

	private String nombre;

	private String pdf;
	
	private String pdfBase64;

	private Integer version;

	private Integer idTyc;

}
