package ar.com.macro.infraestructure.log;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Logging {

	public static final String TRACE = "trace";

	public static final String DEBUG = "debug";

	public static final String INFO = "info";

	public static final String WARN = "warn";

	public static final String ERROR = "error";

	public String value();

	public String exceptionLevel() default "";

}
