package ar.com.macro;

import static org.camunda.bpm.engine.test.assertions.bpmn.BpmnAwareTests.assertThat;

import org.camunda.bpm.engine.RuntimeService;
import org.camunda.bpm.engine.runtime.ProcessInstance;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.junit.jupiter.MockitoExtension;
import org.springframework.beans.factory.annotation.Autowired;

@ExtendWith(MockitoExtension.class)
public class WorkflowTest /* extends AbstractProcessEngineRuleTest */ {

	@Autowired
	public RuntimeService runtimeService;
		
	// @Test
	public void shouldExecuteHappyPath() {
		// given
		String processDefinitionKey = "macro-ofertador-process";

		// when
		ProcessInstance processInstance = runtimeService.startProcessInstanceByKey(processDefinitionKey);

		// then
		assertThat(processInstance).isStarted().task().hasDefinitionKey("say-hello").hasCandidateUser("demo")
				.isNotAssigned();
	}


}
